
Redmine - Patch #31034

Remove encoding magic comments

2019-03-16 06:21 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.1.0   

Description

The magic comment "encoding: utf-8" is no longer necessary. It was necessary only in Ruby 1.9 in which default script encoding was

ASCII-8BIT. The default is UTF-8 after Ruby 2.0.

Since Redmine 4.0 or later don't support Ruby 1.9 (#25538), we can remove the magic comment.

Associated revisions

Revision 17976 - 2019-03-16 07:26 - Go MAEDA

Remove unnecessary encoding magic comment (#31034).

The default script encoding is UTF-8 in Ruby 2.0 or later.

Patch by Go MAEDA.

History

#1 - 2019-03-16 07:27 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed.

#2 - 2019-03-16 10:12 - Go MAEDA

- Tracker changed from Defect to Patch

#3 - 2019-03-17 17:42 - Go MAEDA

- Subject changed from Remove the encoding magic comment to Remove encoding magic comments
